
print("Neue Spieler seit 15. Januar 2024:");
db.spieler.find(
    { registrierungsdatum: { $gt: new Date("2024-01-15") } },
    { username: 1, registrierungsdatum: 1 } 
).forEach(printjson);


print("\nTop Performer (hohe Punktzahl oder viele Siege):");
db.spieler.find({
    $or: [
        { gesamtpunktzahl: { $gt: 2000 } },
        { "spielstatistiken.siege": { $gt: 40 } }
    ]
}).forEach(printjson);

print("\nAnspruchsvolle Shooter-Spiele:");
db.spiele.find({
    $and: [
        { genre: "Tactical Shooter" },
        { schwierigkeitsgrad: "Hoch" }
    ]
}).forEach(printjson);

print("\nSpieler mit 'Pro' oder 'Game' im Namen:");
db.spieler.find(
    { username: { $regex: /Pro|Game/i } },
    { _id: 0, username: 1, gesamtpunktzahl: 1 } 
).forEach(printjson);

print("\nBegehrte Achievements:");
db.achievements.find({
    punktewert: { $gt: 200 },
    "errungen_von.1": { $exists: true } 
}).forEach(printjson);

print("\nValorant Spielerstatistiken:");
db.spieler.find(
    { "spielstatistiken.punktzahl": { $gt: 1000 } },
    { 
        username: 1,
        "spielstatistiken.$": 1 
    }
).forEach(printjson);